For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginBook a Demo
  • Getting Started
    • Athena SDK Quickstart
  • Database API
    • Database Filters & CRUD
  • Python Guides
    • Build with Agents
    • Use Models Directly
    • Load Data Frames
    • Upload Files
    • Create Assets
    • Structured Output
    • Long-Running AOP Execution
  • TypeScript Guides
    • Build with Agents
    • Working with Assets
    • Use Models Directly
    • Execute AOPs
    • Sheets API
    • Browser JavaScript (ESM)
    • UI Registry (Assistant.js)
    • Upload Files
    • Create Assets
    • Structured Output
  • API Reference
      • POSTGenerate Cube API Token
      • GETGet Semantic Model Metadata
      • POSTQuery Semantic Model
Logo
LoginBook a Demo
API ReferenceSemantic Model

Get Semantic Model Metadata

Beta
GET
https://api.athenaintel.com/api/v0/semantic-model/:asset_id/meta
GET
/api/v0/semantic-model/:asset_id/meta
$curl https://api.athenaintel.com/api/v0/semantic-model/asset_id/meta \
> -H "X-API-KEY: <apiKey>"
1{
2 "cubes": [
3 {}
4 ]
5}
Get metadata for a semantic model including all cubes, measures, dimensions, segments, and joins.
Was this page helpful?
Previous

Query Semantic Model

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_idstringRequired

Response

Successful Response
cubeslist of maps from strings to any
List of cubes with their measures and dimensions

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
502
Bad Gateway Error